"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiContext = void 0;
// @ts-nocheck
require("dotenv").config({ path: ".env.secrets" });
const cucumber_1 = require("@cucumber/cucumber");
const test_1 = require("@playwright/test");
require("dotenv").config("../platform");
let apiContext;
const httpCredentials = {
    username: "",
    password: "",
};
const btoa = (str) => Buffer.from(str).toString("base64");
const credentialsBase64 = btoa(`${httpCredentials.username}:${httpCredentials.password}`);
(0, cucumber_1.BeforeAll)(() => __awaiter(void 0, void 0, void 0, function* () {
    exports.apiContext = apiContext = yield test_1.request.newContext({
        baseURL: "https://dev.azure.com",
        extraHTTPHeaders: {
            Authorization: `Basic ${process.env.PAT}`,
        },
    });
    return apiContext;
}));
(0, cucumber_1.AfterAll)(function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield apiContext.dispose();
    });
});
