// @ts-nocheck
require("dotenv").config({ path: ".env.secrets" });
import { BeforeAll, AfterAll } from "@cucumber/cucumber";
import { APIRequestContext, request } from "@playwright/test";

require("dotenv").config("../platform");

let apiContext: APIRequestContext;

const httpCredentials = {
  username: "",
  password: "",

};

const btoa = (str: string) => Buffer.from(str).toString("base64");
const credentialsBase64 = btoa(`${httpCredentials.username}:${httpCredentials.password}`);

BeforeAll(async () => {
  apiContext = await request.newContext({
    baseURL: "https://dev.azure.com",
    extraHTTPHeaders: {
      Authorization: `Basic ${process.env.PAT}`,
    },
  });
  return apiContext;
});

AfterAll(async function () {
  await apiContext.dispose();
});
export { apiContext };
