// @ts-nocheck
import { LaunchOptions} from "@playwright/test";
require("dotenv").config();
import { baseUrl } from "./urls-config";
import { browserName, headlessMode } from "./browser-config";
let headless = process.env.HEADLESS;

const browserOptions: LaunchOptions = {
  slowMo: 50,
  headless: headless?.toUpperCase() === "Y" ? true : false,
  args: ["--use-fake-ui-for-media-stream", "--use-fake-device-for-media-stream"],
  firefoxUserPrefs: {
    "media.navigator.streams.fake": true,
    "media.navigator.permission.disabled": true,
  },

};

export const config = {
  browser: browserName[process.env.ENV] || "chromium",
  browserOptions,
  BASEURL: baseUrl[process.env.ENV],
  IMG_THRESHOLD: { threshold: 0.4 },
  reporter: [['junit', { outputFile: 'results.xml' }]],
  expect: {timeout: 5000},
};
