"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.browser = exports.context = exports.page = void 0;
// @ts-nocheck
require("dotenv").config({ path: ".env.platform" });
const cucumber_1 = require("@cucumber/cucumber");
const test_1 = require("@playwright/test");
const config_1 = require("./config");
const browser_config_1 = require("./browser-config");
require("dotenv").config("../platform");
(0, cucumber_1.setDefaultTimeout)(60 * 1000);
let page;
let browser;
let context;
let latestScreenShot;
(0, cucumber_1.BeforeAll)(() => __awaiter(void 0, void 0, void 0, function* () {
    switch (browser_config_1.browserName[process.env.BROWSER]) {
        case "firefox":
            exports.browser = browser = yield test_1.firefox.launch(config_1.config.browserOptions);
            break;
        case "webkit":
            exports.browser = browser = yield test_1.webkit.launch(config_1.config.browserOptions);
            break;
        case "chromium":
            exports.browser = browser = yield test_1.chromium.launch(config_1.config.browserOptions);
            // browser = await webkit.launch(config.browserOptions);
            // browser = await firefox.launch(config.browserOptions);
            break;
        default:
            exports.browser = browser = yield test_1.webkit.launch(config_1.config.browserOptions);
            exports.browser = browser = yield test_1.firefox.launch(config_1.config.browserOptions);
            exports.browser = browser = yield test_1.chromium.launch(config_1.config.browserOptions);
    }
    try {
        exports.context = context = browser.newContext({ /* pass any options */ ignoreHTTPSErrors: true, });
        exports.page = page = yield (yield context).newPage();
        console.log("succesfully launched the browser");
    }
    catch (error) {
        console.log(`An error occured while trying to launch the browser. ${error}`);
    }
    yield page.setViewportSize({
        width: 1500,
        height: 920,
    });
    yield page.goto(config_1.config.BASEURL);
    return page;
}));
(0, cucumber_1.After)(function (scenario) {
    return __awaiter(this, void 0, void 0, function* () {
        if (scenario.result.status == cucumber_1.Status.FAILED) {
        }
        if (scenario.result.status == cucumber_1.Status.PASSED) {
        }
        console.log('Captured scenario name ', scenario.pickle.name);
        let newEmptyObject = new Object();
    });
});
(0, cucumber_1.AfterStep)(function (scenario) {
    return __awaiter(this, void 0, void 0, function* () {
        if (scenario.result.status == cucumber_1.Status.FAILED) {
            latestScreenShot = (yield page.screenshot({ path: "test/test-results/screenshots/screenshot.png", fullPage: true })).toString("base64");
            this.attach(latestScreenShot, 'image/png');
        }
    });
});
(0, cucumber_1.AfterAll)(function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield browser.close();
    });
});
